#
# Makefile for OS/9
#

CFLAGS =
LFLAGS =

RELS =	alloc.r \
	main.r \
	cmdline.r \
	edit.r \
	enveval.r \
	fileio.r \
	help.r \
	hexchars.r \
	linefunc.r \
	mark.r \
	misccmds.r \
	normal.r \
	ops.r \
	param.r \
	ptrfunc.r \
	regexp.r \
	regsub.r \
	screen.r \
	search.r \
	sentence.r \
	tagcmd.r \
	undo.r \
	termcap.r \
	termin.r \
	general.r \
	locfuncs.r

vi : $(RELS)
	cc -fd=vi $(LFLAGS) $(RELS)

alloc.r : alloc.c pvic.h locdefs.h
	cc -r $(CFLAGS) alloc.c

cmdline.r : cmdline.c pvic.h locdefs.h
	cc -r $(CFLAGS) cmdline.c

edit.r : edit.c pvic.h locdefs.h
	cc -r $(CFLAGS) edit.c

enveval.r : enveval.c pvic.h locdefs.h
	cc -r $(CFLAGS) enveval.c

fileio.r : fileio.c pvic.h locdefs.h
	cc -r $(CFLAGS) fileio.c

help.r : help.c pvic.h locdefs.h
	cc -r $(CFLAGS) help.c

hexchars.r : hexchars.c pvic.h locdefs.h
	cc -r $(CFLAGS) hexchars.c

linefunc.r : linefunc.c pvic.h locdefs.h
	cc -r $(CFLAGS) linefunc.c

main.r:	main.c pvic.h locdefs.h
	cc -r $(CFLAGS) main.c

mark.r : mark.c pvic.h locdefs.h
	cc -r $(CFLAGS) mark.c

misccmds.r : misccmds.c pvic.h locdefs.h
	cc -r $(CFLAGS) misccmds.c

normal.r : normal.c pvic.h locdefs.h
	cc -r $(CFLAGS) normal.c

ops.r : ops.c pvic.h locdefs.h
	cc -r $(CFLAGS) ops.c

param.r : param.c pvic.h locdefs.h
	cc -r $(CFLAGS) param.c

ptrfunc.r : ptrfunc.c pvic.h locdefs.h
	cc -r $(CFLAGS) ptrfunc.c

regexp.r : regexp.c pvic.h locdefs.h
	cc -r $(CFLAGS) regexp.c

regsub.r : regsub.c pvic.h locdefs.h
	cc -r $(CFLAGS) regsub.c

screen.r : screen.c pvic.h locdefs.h
	cc -r $(CFLAGS) screen.c

search.r : search.c pvic.h locdefs.h
	cc -r $(CFLAGS) search.c

sentence.r : sentence.c pvic.h locdefs.h
	cc -r $(CFLAGS) sentence.c

tagcmd.r : tagcmd.c pvic.h locdefs.h
	cc -r $(CFLAGS) tagcmd.c

undo.r : undo.c pvic.h locdefs.h
	cc -r $(CFLAGS) undo.c

termcap.r : termcap.c pvic.h locdefs.h
	cc -r $(CFLAGS) termcap.c

termin.r : termin.c pvic.h locdefs.h
	cc -r $(CFLAGS) termin.c

general.r : general.c pvic.h locdefs.h
	cc -r $(CFLAGS) general.c

locfuncs.r : locfuncs.c pvic.h locdefs.h
	cc -r $(CFLAGS) locfuncs.c
